npm与nvm的冲突处理

node本身包含一个npm,后来本人通过它安装nvm来管理npm版本,长期以来一直相安无事,再后来在终端使用中莫名其妙出现一个奇怪问题——无论在独立终端,还是vscode的集成终端,输入以下命令都能打印一样结果:

node --version
#v10.10.0

但是执行下面命令时,一个打印v6.9.0,一个打印v5.8:

npm --version

其中v6.9.0是我所期望的,与nvm所管理的npm版本一致,而v5.8是哪来的呢?实际上是最初安装的npm版本。考虑到后续基本都是使用nvm,所以把最初的npm删掉:

Mac中,把/usr/local/lib/node_modules/npm删掉

至此问题解决,但是我依然不知道为何当初没有问题,而后来出现这个问题,疑惑不爽中……有谁可以帮忙解答一下?

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券